
function __construct()
{
    var registeredKeywordWarning = $("registeredKeywordWarning");
    var newKeywordForm = $("newKeywordForm");
        
    function checkKeywordValue()
    {
        var keywordValue = newKeywordForm.keyword.value; 
        
        if(keywordValue == '')
        {
            registeredKeywordWarning.hide();
            return false;
        }
        
        var ajax = new AjaxClient();
        ajax.addParam("keyword", keywordValue);
        ajax.async = false;
        ajax.post("/admin/keyword/checkIsBusy");
        
        var response = ajax.parseJSON();
        
        if(response.present)
        {
            registeredKeywordWarning.show();
            return false;
        }
        else
        {
            registeredKeywordWarning.hide();
            return true;
        } 
    }
    
    function keywordFormOnSubmit(event)
    {
        if(!checkKeywordValue())
            event.preventDefault();      
    }

    registeredKeywordWarning.hide();
    newKeywordForm.addEvent("submit", keywordFormOnSubmit.handler(this));
    $(newKeywordForm.keyword).addEvent("keyup", checkKeywordValue.handler(this));
    
}