<?php
//////////////////////////////////////////////////////////////////////////////////
//    					 copyright (c) Arfooo Annuaire                          //
//   				 by Hocine Guillaume (c) 2007 - 2008                        //
//       					http://www.arfooo.com/                              //
//    Licence Creative Commons http://creativecommons.org/licenses/by/2.0/fr/   //
//////////////////////////////////////////////////////////////////////////////////

function getAvailableLanguages()
{
    $languages = array(); 
    $dir = opendir('languages/'); 
    
    while($file = readdir($dir)) 
    {
        if($file == '.' || $file == '..' || !preg_match("#^(.*)\.php$#", $file, $matches))continue;

        $languageCode = $matches[1];
        $fp = fopen('languages/'.$file, "r");
        $languageName = "";
        
        while(!feof($fp) && !$languageName)
        {
            $line = fgets($fp);
            if(preg_match("#languageName = '(.*?)';#", $line, $matches))
            {
                $languageName = $matches[1];
                $languages[$languageCode] = $languageName;
            }
        }
        
        fclose($fp);

    }
    
    asort($languages);
    return $languages;
}

require_once('languages/en.php');  

$chemin_includes_header = 'includes/';
include_once($chemin_includes_header.'header.php'); 
?>

    <script type="text/javascript">
        function addFullSiteUrlBeforePost()
        {
            document.forms.installForm.siteRootUrl.value = window.location.href.replace('install/index.php', '').replace('install/', '').replace('install', '');

            return true;
        }
    </script>

<div class="title_h_1">
<h1>Language choice</h1>
</div>

<form action="step2.php" method="post" id="installForm" onsubmit="return addFullSiteUrlBeforePost()"> 
<div class="column_in_table2">
<table class="table3" cellspacing="1">
<col class="col1-1" /><col class="col2-2" />
<tbody>
<tr class="line1">
	<td>Language: </td>
	<td><select name="selectedLanguage">
<?php
// get languages list
$languagesList = getAvailableLanguages();
$currentLanguageCode = 'en';
                       
foreach($languagesList as $languageCode => $languageName)
{
    ?>
    <option value="<?php echo $languageCode; ?>"<?php if ($languageCode == $currentLanguageCode) echo ' selected="selected"'; ?>> <?php echo $languageName; ?> </option>       
    <?php
}
?>
		</select></td>
</tr>
</tbody>
</table>

</div>

<div class="column_in_button" align="center">
<input type="submit" class="button" value="Continue" />
<input type="hidden" name="siteRootUrl" value="" />  
</div>

</form> 

<?php
$chemin_includes_footer = 'includes/';
include_once($chemin_includes_footer.'footer.php'); 
?>